<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_171) on Sat Aug 25 23:47:49 CEST 2018 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>MoneyRecordViewModel</title>
<meta name="date" content="2018-08-25">
<meta name="keywords" content="markus.keingeldfuerdiemensa.backend.MoneyRecordViewModel class">
<meta name="keywords" content="getMoneyRecords()">
<meta name="keywords" content="setMoneyRecords()">
<meta name="keywords" content="getSumOfRecords()">
<meta name="keywords" content="setSumOfRecords()">
<meta name="keywords" content="getSumIncome()">
<meta name="keywords" content="setSumIncome()">
<meta name="keywords" content="getSumOutgoing()">
<meta name="keywords" content="setSumOutgoing()">
<meta name="keywords" content="addMoneyRecord()">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="MoneyRecordViewModel";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../markus/keingeldfuerdiemensa/backend/MoneyRecordDAO.html" title="interface in markus.keingeldfuerdiemensa.backend"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../markus/keingeldfuerdiemensa/backend/doAsync.html" title="class in markus.keingeldfuerdiemensa.backend"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?markus/keingeldfuerdiemensa/backend/MoneyRecordViewModel.html" target="_top">Frames</a></li>
<li><a href="MoneyRecordViewModel.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">markus.keingeldfuerdiemensa.backend</div>
<h2 title="Class MoneyRecordViewModel" class="title">Class MoneyRecordViewModel</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>markus.keingeldfuerdiemensa.backend.MoneyRecordViewModel</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">MoneyRecordViewModel</span></pre>
<div class="block"><p><p>AndroidViewModel für <a href="../../../markus/keingeldfuerdiemensa/backend/MoneyRecord.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class MoneyRecord</code></a>, welches die Verbindung zwischen dem UI und der Datenbank herstellt</p></p></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../markus/keingeldfuerdiemensa/backend/MoneyRecord.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class MoneyRecord</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../markus/keingeldfuerdiemensa/backend/MoneyRecordViewModel.html#MoneyRecordViewModel-application-">MoneyRecordViewModel</a></span>(android.app.Application&nbsp;application)</code>
<div class="block">fordert eine Liste von Einträgen von der <a href="../../../markus/keingeldfuerdiemensa/backend/MoneyDatabase.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class MoneyDatabase</code></a> an</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../markus/keingeldfuerdiemensa/backend/MoneyRecordViewModel.html#addMoneyRecord-record-">addMoneyRecord</a></span>(<a href="../../../markus/keingeldfuerdiemensa/backend/MoneyRecord.html" title="type parameter in MoneyRecord">MoneyRecord</a>&nbsp;record)</code>
<div class="block">ruft die <a href="../../../markus/keingeldfuerdiemensa/backend/MoneyDatabase.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class MoneyDatabase</code></a> auf, um ein <a href="../../../markus/keingeldfuerdiemensa/backend/MoneyRecord.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class MoneyRecord</code></a>-Objekt in diese zu speichern</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>android.arch.lifecycle.LiveData&lt;java.util.List&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../markus/keingeldfuerdiemensa/backend/MoneyRecordViewModel.html#getMoneyRecords--">getMoneyRecords</a></span>()</code>
<div class="block">Liste der anzuzeigenden Einträge</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>android.arch.lifecycle.LiveData&lt;java.lang.Float&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../markus/keingeldfuerdiemensa/backend/MoneyRecordViewModel.html#getSumIncome--">getSumIncome</a></span>()</code>
<div class="block">Summe der Beträge der anzuzeigenden Einträge im postiven Bereich (Einnahmen)</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>android.arch.lifecycle.LiveData&lt;java.lang.Float&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../markus/keingeldfuerdiemensa/backend/MoneyRecordViewModel.html#getSumOfRecords--">getSumOfRecords</a></span>()</code>
<div class="block">Summe der Beträge der anzuzeigenden Einträge</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>android.arch.lifecycle.LiveData&lt;java.lang.Float&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../markus/keingeldfuerdiemensa/backend/MoneyRecordViewModel.html#getSumOutgoing--">getSumOutgoing</a></span>()</code>
<div class="block">Summe der Beträge der anzuzeigenden Einträge im negativen Bereich (Ausgaben)</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../markus/keingeldfuerdiemensa/backend/MoneyRecordViewModel.html#setMoneyRecords-p-">setMoneyRecords</a></span>(android.arch.lifecycle.LiveData&lt;java.util.List&gt;&nbsp;p)</code>
<div class="block">Liste der anzuzeigenden Einträge</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../markus/keingeldfuerdiemensa/backend/MoneyRecordViewModel.html#setSumIncome-p-">setSumIncome</a></span>(android.arch.lifecycle.LiveData&lt;java.lang.Float&gt;&nbsp;p)</code>
<div class="block">Summe der Beträge der anzuzeigenden Einträge im postiven Bereich (Einnahmen)</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../markus/keingeldfuerdiemensa/backend/MoneyRecordViewModel.html#setSumOfRecords-p-">setSumOfRecords</a></span>(android.arch.lifecycle.LiveData&lt;java.lang.Float&gt;&nbsp;p)</code>
<div class="block">Summe der Beträge der anzuzeigenden Einträge</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../markus/keingeldfuerdiemensa/backend/MoneyRecordViewModel.html#setSumOutgoing-p-">setSumOutgoing</a></span>(android.arch.lifecycle.LiveData&lt;java.lang.Float&gt;&nbsp;p)</code>
<div class="block">Summe der Beträge der anzuzeigenden Einträge im negativen Bereich (Ausgaben)</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="MoneyRecordViewModel-application-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>MoneyRecordViewModel</h4>
<pre>public&nbsp;MoneyRecordViewModel(android.app.Application&nbsp;application)</pre>
<div class="block"><p><p>fordert eine Liste von Einträgen von der <a href="../../../markus/keingeldfuerdiemensa/backend/MoneyDatabase.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class MoneyDatabase</code></a> an</p></p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>application</code> - die App, in der das ViewModel verwendet wird</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../markus/keingeldfuerdiemensa/backend/MoneyDatabase.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class MoneyDatabase</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getMoneyRecords--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMoneyRecords</h4>
<pre>public&nbsp;android.arch.lifecycle.LiveData&lt;java.util.List&gt;&nbsp;getMoneyRecords()</pre>
<div class="block"><p><p>Liste der anzuzeigenden Einträge</p></p></div>
</li>
</ul>
<a name="setMoneyRecords-p-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMoneyRecords</h4>
<pre>public&nbsp;void&nbsp;setMoneyRecords(android.arch.lifecycle.LiveData&lt;java.util.List&gt;&nbsp;p)</pre>
<div class="block"><p><p>Liste der anzuzeigenden Einträge</p></p></div>
</li>
</ul>
<a name="getSumOfRecords--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSumOfRecords</h4>
<pre>public&nbsp;android.arch.lifecycle.LiveData&lt;java.lang.Float&gt;&nbsp;getSumOfRecords()</pre>
<div class="block"><p><p>Summe der Beträge der anzuzeigenden Einträge</p></p></div>
</li>
</ul>
<a name="setSumOfRecords-p-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSumOfRecords</h4>
<pre>public&nbsp;void&nbsp;setSumOfRecords(android.arch.lifecycle.LiveData&lt;java.lang.Float&gt;&nbsp;p)</pre>
<div class="block"><p><p>Summe der Beträge der anzuzeigenden Einträge</p></p></div>
</li>
</ul>
<a name="getSumIncome--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSumIncome</h4>
<pre>public&nbsp;android.arch.lifecycle.LiveData&lt;java.lang.Float&gt;&nbsp;getSumIncome()</pre>
<div class="block"><p><p>Summe der Beträge der anzuzeigenden Einträge im postiven Bereich (Einnahmen)</p></p></div>
</li>
</ul>
<a name="setSumIncome-p-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSumIncome</h4>
<pre>public&nbsp;void&nbsp;setSumIncome(android.arch.lifecycle.LiveData&lt;java.lang.Float&gt;&nbsp;p)</pre>
<div class="block"><p><p>Summe der Beträge der anzuzeigenden Einträge im postiven Bereich (Einnahmen)</p></p></div>
</li>
</ul>
<a name="getSumOutgoing--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSumOutgoing</h4>
<pre>public&nbsp;android.arch.lifecycle.LiveData&lt;java.lang.Float&gt;&nbsp;getSumOutgoing()</pre>
<div class="block"><p><p>Summe der Beträge der anzuzeigenden Einträge im negativen Bereich (Ausgaben)</p></p></div>
</li>
</ul>
<a name="setSumOutgoing-p-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSumOutgoing</h4>
<pre>public&nbsp;void&nbsp;setSumOutgoing(android.arch.lifecycle.LiveData&lt;java.lang.Float&gt;&nbsp;p)</pre>
<div class="block"><p><p>Summe der Beträge der anzuzeigenden Einträge im negativen Bereich (Ausgaben)</p></p></div>
</li>
</ul>
<a name="addMoneyRecord-record-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>addMoneyRecord</h4>
<pre>public&nbsp;void&nbsp;addMoneyRecord(<a href="../../../markus/keingeldfuerdiemensa/backend/MoneyRecord.html" title="type parameter in MoneyRecord">MoneyRecord</a>&nbsp;record)</pre>
<div class="block"><p><p>ruft die <a href="../../../markus/keingeldfuerdiemensa/backend/MoneyDatabase.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class MoneyDatabase</code></a> auf, um ein <a href="../../../markus/keingeldfuerdiemensa/backend/MoneyRecord.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class MoneyRecord</code></a>-Objekt in diese zu speichern</p></p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>record</code> - der zu speichernde Eintrag</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../markus/keingeldfuerdiemensa/backend/MoneyDatabase.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class MoneyDatabase</code></a>, 
<a href="../../../markus/keingeldfuerdiemensa/backend/MoneyRecord.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class MoneyRecord</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../markus/keingeldfuerdiemensa/backend/MoneyRecordDAO.html" title="interface in markus.keingeldfuerdiemensa.backend"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../markus/keingeldfuerdiemensa/backend/doAsync.html" title="class in markus.keingeldfuerdiemensa.backend"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?markus/keingeldfuerdiemensa/backend/MoneyRecordViewModel.html" target="_top">Frames</a></li>
<li><a href="MoneyRecordViewModel.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
